### Method

# Shumate SimpleMap get_map_source

#### Declaration [src]

    ShumateMapSource*
    shumate_simple_map_get_map_source (
      ShumateSimpleMap* self
    )

#### Description [src]

Gets the map source for the current base layer.

Gets property | `Shumate.SimpleMap:map-source`

#### Return value

Type: `ShumateMapSource`

A `ShumateMapSource`.

The returned data is owned by the instance.